#include<bits/stdc++.h>
using namespace std;
vector<int> iz;
priority_queue <pair<int, int> > ul;
map<int, int> nemaizac;
long long Resi(int n, int* a, int* b){
    long long sol=0;
    for(int i=0; i<n; ++i){
            ul.push(make_pair(-a[i], i));
            nemaizac[b[i]]=i;
    }
    for(int t=0; t<2*n; ++t){
        pair<int, int> x= ul.top();
        if((-t)==x.first){
            ul.pop();// usao je x.second-ti
            int d=lower_bound(iz.begin(), iz.end(), b[x.second])-iz.begin();
            sol+=min(d+1, iz.end()-iz.begin()-d-1);
            iz.emplace(d+iz.begin(), b[x.second]);
        }
        else{
            iz.erase(iz.begin());
        }
    }
    return sol;
}